Skip to content

Remove assigned roles

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Remove the assigned role through the role code in the permission group. The assignee can be a user or department.

Method name

ManagementClient.revokeRole

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
targets<a TargetDto[]Yes-Targets to remove roles. Array length limit: 50.[{"targetIdentifier":"60b49eb83fd80adb96f26e68","targetType":"USER"}]
codestringyes-unique identifier of the role in the permission groupcode1
namespacestringno-code of the permission groupdefault

Sample code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If you are a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.revokeRole({
    code: "code1",
    namespace: "default",
    targets: [
      {
        targetType: Models.TargetDto.targetType.USER,
        targetIdentifier: "60b49eb83xxxxxxb96f26e68",
      },
    ],
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response

Type: IsSuccessRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a IsSuccessDtoWhether the operation is successful

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "success": true
  }
}

Data structure

TargetDto

NameTypeIs it requiredDescriptionSample value
targetTypestringyesTarget object type:
- USER: user
- ROLE: role
- GROUP: group
- DEPARTMENT: department
USER
targetIdentifierstringyesTarget object unique identifier:
- If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c
- If it is a role, it is the role code, such as admin
- If it is a group, it is the group code, such as developer
- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c
60b49eb83fd80adb96f26e68

IsSuccessDto

NameTypeIs it requiredDescriptionSample value
successbooleanyesWhether the operation was successfultrue

Agent infrastructure for identity, memory, and web action.